Name:           ksudoku
Version:        0.4
Release:        2%{?dist}
Summary:        Sudoku game

Group:          Amusements/Games
License:        GPLv2
URL:            http://ksudoku.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils,kdelibs-devel,cmake
Requires:       hicolor-icon-theme

%description
Ksudoku is a fully-featured Sudoku puzzle generator and solver for KDE. With it
you can generate and play 3D and 2D puzzles of different sizes and levels. The
main algorithm is fast and extendable to any general graph coloring problem.

%prep
%setup -q
#.desktop file fix
sed -e 's#DocPath\=ksudoku\/ksudoku.html#Categories\=Game\;LogicGame\;KDE\;Qt\;#' -e '15d' -i src/gui/ksudoku.desktop

%build
%cmake .
make %{?_smp_mflags}
meinproc --check --cache index.cache.bz2 doc/en/index.docbook

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT%{_libdir}
cp src/gui/libksudoku_gui.so $RPM_BUILD_ROOT%{_libdir}/
cp src/gui/export/libksudoku_export.so $RPM_BUILD_ROOT%{_libdir}/
cp src/gui/export/draw/libksudoku_draw.so $RPM_BUILD_ROOT%{_libdir}/
cp src/gui/views/libksudoku_views.so $RPM_BUILD_ROOT%{_libdir}/
cp src/logic/libksudoku_logic.so $RPM_BUILD_ROOT%{_libdir}/

install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/HTML/en/ksudoku
install -m 0644 index.cache.bz2 $RPM_BUILD_ROOT%{_docdir}/HTML/en/ksudoku
install -m 0644 doc/en/index.docbook $RPM_BUILD_ROOT%{_docdir}/HTML/en/ksudoku
#make symlink relative
cd $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}
ln -s ../common common


desktop-file-install --vendor="fedora"                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --delete-original                               \
        $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README VERSION TODO
%{_bindir}/*
%{_libdir}/lib*
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/config/ksudokurc
%{_docdir}/HTML/en/%{name}
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Sun Oct 14 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4-2
- get rid of debug files in main package (#321811)
* Mon Sep 17 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4-1
- update to 0.4
* Sat Aug 25 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-4
- BuildID rebuild
* Mon Aug 20 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-3
- License tag update
* Tue Jan 16 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-2
- added comments
- fixed source URL
- added %%doc
* Mon Jan 15 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-1
- Initial release